Subject: (urth) PF - Dog-headed St Christopher

From: thalassocrat at nym.hush.com <thalassocrat at nym.hush.com>
Date: Sun, 09 Dec 2007 04:08:27 +0000

Chris says: "The artists of the Middle Ages painted allegories, we 
say. What really happened was that they saw more clearly than we 
do, and painted what they saw - angels and devils, beasts, and half-
human monsters like me."

I wonder if he's thinking of images like this: 
http://en.wikipedia.org/wiki/Image:L_022.jpg

Apparently St Christopher was sometimes described as cynocephalic. 

I doubt that Chris' test-tube included any dog (wolf?) DNA, but you 
never know ...